Subject: bug#71835: 30.0.60; Using mode-line-format-right-align in header line results in cutoff text

From: noa <[email-masked]>
Date: Sat, 29 Jun 2024 10:39:40 +0100

> Yes, that's how this feature was implemented (and documented).

I checked the documentation before submitting and didn't see anything in the documentation to suggest that using this feature would work differently in the mode line and header line.  The documentation for header-line-format describes it as "analogous to mode-line-format", while the info manual at (elisp) Header Lines says it "works just like the mode line feature".  Perhaps a warning in one of these places that the right-align doesn't work reliably here would be helpful.
-- 
~noa (https://noa.pub)
 • I try to reply to formal emails in three sentences or fewer; excuse my brevity.
 • I queue replies and batch send them at intervals; excuse my untimeliness.